SAP Knowledge Base Article - Preview

2367352 - CommonPreInterceptor class cannot be extended

Symptom

It is not possible to extend the CommonPreInterceptor class behavior in the core bundle com.sap.banking.banking-core-common because it is not exposed as an OSGI service.  Creating a similar class would require a change to the existing configuration in each spring.xml of the core modules.  Extending this class is necessary to allow core and custom functions to be disabled if the back-end or external applications supporting the functionality are not available.


Read more...

Environment

  • SAP Online Business Banking 8.3
  • SAP Online Retail Banking 8.3

Product

SAP Online Business Banking 8.3 ; SAP Online Retail Banking 8.3

Keywords

CommonPreInterceptor, OCB, Omnichannel, OSGI, disable, function , KBA , FS-OCB , SAP Omnichannel Banking , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.